Subject: Re: [bitcoindev] Does anyone still need testnet3?

From: Melvin Carvalho <[email-masked]>
Date: Fri, 21 Mar 2025 06:44:35 +0100

pá 14. 3. 2025 v 14:01 odesílatel 'Andreas Schildbach' via Bitcoin
Development Mailing List <[email-masked]> napsal:

> Hi Sjors,
>
> thanks for asking.
>
> Bitcoinj has just started to implement testnet4, but it's not finished
> yet. And the next version 0.18 will probably not be released within 12
> months, maybe longer.
>
> By the way, testnet3 works great for us (for testing). I consider block
> storms a feature, because it tests our code in rough conditions. We had
> planned to support both testnets in the forseeable future.
>
> https://github.com/bitcoinj/bitcoinj/
>
> Then, there is btc-rpc-explorer, a self-hostable block explorer. It
> doesn't yet support testnet4. I'm not affiliated to it, I'm just a user.
>
> https://github.com/janoside/btc-rpc-explorer

Main issue with testnet3 is getting coins for developers to use it,
especially with high fees.

A neat idea might be to make an app to swap between testnet3 and testnet4
coins.  Or even an AMM.

If there's a decent amount of interest in this, I could give it a go.

>
>
> Cheers,
> Andreas
>
>
> On 14/03/2025 09.52, Sjors Provoost wrote:
> > Dear list,
> >
> > Testnet 4 was proposed last year in BIP94 [0] and is supported by
> Bitcoin Core since v28.
> >
> > To make Bitcoin Core easier to maintain we would like to drop support
> for Testnet3 in a future release. This will happen no earlier than v30 this
> fall. The upcoming v29 release still supports it, and will throughout its
> maintenance period [1].
> >
> > The network itself can't be deleted, so anyone willing to maintain node
> software themselves can keep using testnet3 until the end of time.
> >
> > One of the motivations for introducing testnet4 was that testnet3 became
> increasing impractical to use due to block storms. So perhaps everyone
> already moved on to using testnet4 or a signet.
> >
> > As an aside, it's possible to create a pure proof-of-work permissionless
> signet without any signatures, by setting the challenge to OP_TRUE. [2]
> >
> > However, if anyone is still using testnet3 and needs more time to move
> away from it, please let us know. E.g. as a reply to the list or a comment
> on the Github issue [3]. This could include libraries, staging
> environments, testnet wallets, etc.
> >
> > Although the v29 maintenance window will last for a few years, it's also
> important to know if dropping testnet3 would prevent you from upgrading to
> the next major node version. In other words, if migrating away from
> testnet3 would take you longer than all of 2025.
> >
> > Although "I don't feel like it" isn't a great technical argument, it's
> still useful to know what to expect and perhaps others can help.
> >
> > - Sjors
> >
> > [0] https://github.com/bitcoin/bips/blob/master/bip-0094.mediawiki
> > [1] https://bitcoincore.org/en/lifecycle/#maintenance-period
> > [2]
> https://github.com/bitcoin/bips/blob/master/bip-0325.mediawiki#specification
> > [3] https://github.com/bitcoin/bitcoin/issues/31975
> >
>
> --
> You received this message because you are subscribed to the Google Groups
> "Bitcoin Development Mailing List" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [email-masked].
> To view this discussion visit
> https://groups.google.com/d/msgid/bitcoindev/7c28f8e9-d221-4633-8b71-53b4db07fa78%40schildbach.de
> .
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CAKaEYhLuQDMKXaVhbQ2BrwHdHg7zPBiO-NgH6GhACufoqR2T4A%40mail.gmail.com.